package de.ugoe.cs.autoquest.tasktrees.treeifc;

import java.util.Map;

/**
 * TODO comment
 * 
 * @version $Revision: $ $Date: 21.02.2012$
 * @author 2012, last modified by $Author: patrick$
 */
public interface ITaskTree extends Cloneable {

    /**
     * TODO: comment
     * 
     * @return
     */
    public ITaskTreeNode getRoot();

    /**
     * TODO: comment
     * 
     * @return
     */
    public Map<ITaskTreeNode, ITaskTreeNodeInfo> getTaskMap();

    /**
     *
     */
    public ITaskTree clone();
}
